%define upstream_name    App-cpangitify
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Convert cpan distribution from BackPAN to a git repository
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(BackPAN::Index)
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(CPAN::ReleaseHistory)
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::chdir)
BuildRequires: perl(Git::Wrapper)
BuildRequires: perl(IPC::System::Simple)
BuildRequires: perl(JSON)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Path::Class)
BuildRequires: perl(PerlX::Maybe)
BuildRequires: perl(PerlX::Maybe::XS)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildRequires: perl(URI::file)
BuildRequires: perl(autodie)
BuildArch: noarch

%description
This is the module for the the cpangitify manpage script. See the
cpangitify manpage for details.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%buildroot

%files
%doc META.json META.yml INSTALL LICENSE Changes README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/cpangitify
/usr/share/man/man1/cpangitify.1.xz



%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.120.0-3.mga6
+ Revision: 1022540
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.120.0-2.mga6
+ Revision: 966183
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 0.120.0-1.mga6
+ Revision: 842955
- Add missing BR
- New version 0.12
- imported package perl-App-cpangitify


* Mon Dec 02 2013 cpan2dist 0.07-1mga
- initial mageia release, generated with cpan2dist
